
#define TWI_SCL_M                26   //!< Master SCL pin

#define TWI_SDA_M                27   //!< Master SDA pin
#define MASTER_TWI_INST          0   //!< MASTERTWI interface 

/** I2C BUS ADRESSES*/
#define ADXL375_ADDR            0x1D


/** REGISTER ADDRESSES */
#define DEVICE_ID               0x00
#define OFSX                    0x1E
#define BW_RATE                 0x2C
#define POWER_CTL               0x2D
#define DATAX0                  0x32

#define HRMI_I2C_ADDR      0x7E
#define HRMI_SET_MODE      0x53
#define HRMI_GET_HR_DATA	 0x47


#include <stdint.h>
#include "sdk_errors.h"
#include "nrf_drv_twi.h"


ret_code_t ADXL375_I2C_register_write(uint8_t slave_addr,uint8_t * pdata, uint32_t bytes);

ret_code_t ADXL375_I2C_register_read(uint8_t slave_addr, uint8_t reg_addr,  uint8_t * pdata, uint32_t bytes);

void ADXL375_I2C_offsets_set(uint8_t x_offset, uint8_t y_offset,uint8_t z_offset);

void ADXL375_I2C_data_rate_set(uint8_t rate);

ret_code_t ADXL375_I2C_init(const nrf_drv_twi_t * p_twi_instance);

void ADXL375_I2C_acc_data_read(int16_t * x_value, int16_t * y_value, int16_t * z_value);

//ret_code_t HRMI_set_mode(const nrf_drv_twi_t * p_twi_instance);

//ret_code_t start_HR(uint8_t slave_addr, uint8_t returned_over_I2C, uint32_t bytes);

ret_code_t fetch_HR(uint8_t * hr);